Description

When working with the attribute table Field Calculator, it would be nice to have an "Apply" button in addition to the "OK" button, so that I

can calculate and continue calculating, rather than repetitively having to reopen the calculator and filling in the expressions.

History

#1 - 2018-11-10 01:49 PM - Harrissou Santanna

If you need to keep open the field calculator dialog, it means you are doing calculations on different fields but same features.

Are you aware of the multi-fields edit feature: 

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/attribute_table.html#editing-multiple-fields?

#2 - 2018-11-12 01:38 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

#3 - 2018-11-12 09:03 PM - andskog -

Harrissou Santanna wrote:

If you need to keep open the field calculator dialog, it means you are doing calculations on different fields but same features.

Are you aware of the multi-fields edit feature: 

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/attribute_table.html#editing-multiple-fields?

Not quite, I want to modify or reformat several parts of a single field for all or selected features, in separate operations rather than - if always possible -

composing a long and complex formula. I find it more efficient this way, and for some calculations there is some validation value to the method as well,

beyond what the preview sample might provide.

#4 - 2018-11-17 09:52 AM - Harrissou Santanna

I thought you were looking for an Apply button like the one in eg Layer properties dialog but if i well understand, you are looking for a modeless dialog: you'd

be able to interact with the canvas or attribute table to change feature selection while the field calculator is still open.

I'd suggest the field calculation bar but it does not provide result preview.

#5 - 2018-11-19 03:41 PM - andskog -

@Harrissou

So I'd like to see an Apply button in the Field Calculator dialog box which pops up when clicking the abacus button in the attribute table. The possibility to
interact with table or view while the field calculator dialog box is open would be good of course, but secondary (requires more coding to implement?). The

field calculation bar is an option, but I prefer having the result preview, as well as having the function list etc available.
